### Hierarchy

- SignInterceptor

### Implements

- HttpInterceptor

## Index

### Constructors

- constructor

### Methods

- onIntercept

## Constructors

### constructor

- new SignInterceptor(messageSigner: MessageSigner): SignInterceptor

- - Defined in repository/source/http/SignInterceptor.ts:8

  #### Parameters

  - ##### messageSigner: MessageSigner

  #### Returns SignInterceptor

## Methods

### onIntercept

- onIntercept(cortege: InterceptorCortege): Promise<InterceptorCortege>

- Implementation of HttpInterceptor.onIntercept

  - Defined in repository/source/http/SignInterceptor.ts:14

  #### Parameters

  - ##### cortege: InterceptorCortege

  #### Returns Promise<InterceptorCortege>

Generated using TypeDoc